---
title: 'set:leading()'
slug: Web/EXSLT/set/leading
tags:
  - EXSLT
  - NeedsSpecTable
  - Reference
---
<p>{{XSLTRef}}{{QuickLinksWithSubpages("/en-US/docs/Web/EXSLT")}}</p>

<p><code>set:leading()</code> returns the nodes in one node-set that come before the first node in the other node-set.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">set:leading(<var>nodeSet1</var>, <var>nodeSet2</var>)
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>nodeSet1</code></dt>
 <dd>The node set to find nodes in that precede the first node in the second node set.</dd>
 <dt><code>nodeSet2</code></dt>
 <dd>The node set to compare against.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A node-set containing the nodes from <code>nodeSet1</code> whose values precede the first node in <code>nodeSet2</code>.</p>

<div class="note">
<p><strong>Note:</strong> If the first node in <code>nodeSet2</code> isn't contained in <code>nodeSet1</code>, an empty set is returned. If <code>nodeSet2</code> is empty, then the result is <code>nodeSet1</code>.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<p><a class="external" href="http://www.exslt.org/set/functions/leading/index.html">EXSLT - SET:LEADING</a></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("xslt.exslt.set.leading")}}</p>
